/*
 * Javascript to insert the link
 * View element calls jSelectArticle when an article is clicked
 * jSelectArticle creates the link tag, sends it to the editor,
 * and closes the select frame.
 */
function createTOC(editor, headerText) {
    var headTags = getHeadTags();
    addAddAnchors(headTags);

    var links = createLinks(headTags);
    var result = "<p>" + headerText + "</p>" + links;

    jInsertEditorText(result, '" . $name . "');
}

function getHeadTags() {
    var tags = 'h1, h2, h3, h4, h5, h6';

    var headTags = tinymce.activeEditor.dom.select(tags);
    var resultList = new Array();
    for (var i = 0, len = headTags.length; i < len; i++) {
        if(headTags[i].parentNode.nodeName == 'BODY'){
            resultList.push(headTags[i]);
        }
    }
    return resultList;
}

function addAddAnchors(headTags) {
    for (var i = 0, len = headTags.length; i < len; i++) {
        tinyMCE.activeEditor.dom.setAttrib(headTags[i], 'id', headTags[i].nodeName + '-' + i);
    }
}

function createLinks(headTags) {
    var linksRootList = createList();
    for (var i = 0, len = headTags.length; i < len; i++) {
        linksRootList.appendChild(createListItem(headTags[i]));
    }
    return linksRootList.outerHTML;
}

function createListItem(headTag) {
    var link = document.createElement("a");
    link.setAttribute("href", "#" + headTag.id);
    link.appendChild(document.createTextNode(headTag.innerText));

    var linkListItem = document.createElement("li");
    linkListItem.appendChild(link);

    return linkListItem
}

function createList() {
    return document.createElement("ul");
}