<?php
/**
 * @package     TyniMCE extension button for Joomla 3
 * @subpackage  Editors-xtd.article
 * @version 1.0
 * @author Pablo Moneylesh
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

/**
 * Editor Article Table of Contents buton
 */
$document = JFactory::getDocument();
$document->addScript(JURI::root()."/plugins/editors-xtd/articletoc/articletoc.js");

class PlgButtonArticleToc extends JPlugin
{    
    /**
     * Display the button
     *
     * @param   string $name The name of the button to add
     *
     * @return array A four element array of (article_id, article_title, category_id, object)
     */
    public function onDisplay($name)
    {
        $button = new JObject;
        $button->modal = false;
        $button->class = 'btn';
        $button->link = '#';        
        $button->text = 'Contents';
        $button->name = 'file-add';        
        $headerText = $this->params->get('article_toc_header_text', "");
        $button->onclick='createTOC(\''.$name.'\', \''.$headerText.'\');';
        return $button;
    }
}
